﻿using Microsoft.AspNetCore.Components;
using Portfolio.Domain.Features.Pokemon;

namespace Portfolio.WebUI.Server.Components.Component
{
    public partial class PokemonCard
    {
        [Parameter]
        public Pokemon Pokemon { get; set; }

        private Pokemon _pokemon { get; set; }

        private bool isShiny = false;

        protected override void OnParametersSet()
        {
            if (Pokemon != null)
            {
                _pokemon = Pokemon;

            }
        }

        private void ToggleImage()
        {
            isShiny = !isShiny;
            StateHasChanged();
        }
    }
}
